Search Organization

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/organization
API call form
Examples

Each user belongs to precisely 1 organization (company or association). Billing plans and invoices are managed on the organization-level. Several things are restricted within an organization. For example a user can't list users from another organization and dashboards/datasets are by default not accessible to other users. However, in case it is necessary to share securables cross organization, securables can be associated directly to a user or group.

Retrieve your organization.

An organization can not be made explicitly, so there is no create action. The first user that you make determines your organization. Every new user that is created via the API either creates a new organization (in case no API token was used to create the user) or is added to an existing organization by using an organization owner's API token. If you need to bootstrap an organization programmatically this means you have to:

  • Create the first user (which will create a trial)

  • Retrieve the organization using the user id

  • Update the organization details

This mechanism can be used to create organizations for your clients or bootstrap your organization completely from code.

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
name Multilingual string
address_line_1 STRING
address_line_2 STRING
zipcode STRING
city STRING
state STRING
vat STRING
legal_name STRING
peppol_id STRING
payment_method STRING
invoicing_email STRING
dpo_name STRING
dpo_address_line_1 STRING
dpo_address_line_2 STRING
dpo_email STRING
dpo_phone STRING
dpa_signed_by STRING
dpa_signed_on DATETIME
dpa_version NUMBER
dpa_text STRING
main_color STRING
accent_color STRING
from_email STRING
subdomain STRING
channel_options OBJECT
creditcard STRING
flag_ai_powered_features BOOLEAN
flag_ai_logs_retention_enabled BOOLEAN
created_at DATETIME
updated_at DATETIME
Can be executed by:
Organization Member
Can be associated to:
Country
Locale
Theme
Plan
Timezone
Plugin
Thumbnail
Channel
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "< your organization id >",
      "name": {
        "nl": "Jouw organisatie",
        "en": "Your organization",
        "fr": "Ton association"
      },
      "users": [
        {
          "email": "amy@test.com",
          "name": "Amy Evans",
          "city": null,
          "country_id": null,
          "locale_id": "en",
          "created_at": "2020-01-01T11:11:27.370Z",
          "flag_plan": "enterprise",
          "id": "b9c8c05a-4a76-11eb-b378-0242ac130002",
          "organizationRole": {
            "flagMember": true,
            "flagEditor": true,
            "flagOwn": false,
            "created_at": "2020-01-01T11:11:27.649Z",
            "updated_at": "2020-09-19T15:44:32.513Z",
            "organization_id": "< your organization id >",
            "user_id": "b9c8c05a-4a76-11eb-b378-0242ac130002"
          }
        },
        {
          "email": "david@test.com",
          "name": "David Contorence",
          "city": null,
          "country_id": null,
          "locale_id": "en",
          "created_at": "2020-01-01T11:11:27.370Z",
          "flag_plan": "enterprise",
          "id": "b33b2d5b-da2b-4eac-8bfd-846bd59f5b2d",
          "organizationRole": {
            "flagMember": true,
            "flagEditor": true,
            "flagOwn": false,
            "created_at": "2020-01-08T13:34:17.461Z",
            "updated_at": "2020-11-10T09:31:17.117Z",
            "organization_id": "< your organization id >",
            "user_id": "b33b2d5b-da2b-4eac-8bfd-846bd59f5b2d"
          }
        },
        {
          "email": "julia@test.com",
          "name": "Julia Robinson",
          "city": null,
          "country_id": null,
          "locale_id": "en",
          "created_at": "2020-01-01T11:11:27.370Z",
          "flag_plan": "enterprise",
          "id": "fc3801a2-cd12-4a9a-ae65-ba7e81b37a4b",
          "organizationRole": {
            "flagMember": true,
            "flagEditor": true,
            "flagOwn": false,
            "created_at": "2019-11-10T10:14:42.355Z",
            "updated_at": "2020-05-29T08:32:25.412Z",
            "organization_id": "< your organization id >",
            "user_id": "fc3801a2-cd12-4a9a-ae65-ba7e81b37a4b"
          }
        }
      ]
    }
  ]
}